<template>
  <div class="account-booking">
    <component :is="status" />
  </div>
</template>

<script>
  import {mapGetters} from "vuex";
  import StatusActive from "./StatusActive";
  import StatusCancelled from "./StatusCancelled";
  import StatusRejected from './StatusRejected'
  import StatusAccepted from "./StatusAccepted";
  import StatusWinner from "./StatusWinner";
  import StatusLoser from "./StatusLoser";
  import STEPS from '@/constants/steps.js';

  export default {
    name: "booking",
    components: {
      StatusActive,
      StatusAccepted,
      StatusCancelled,
      StatusRejected,
      StatusWinner,
      StatusLoser
    },
    data() {
      return {
        STEP: STEPS
      }
    },
    computed: {
      ...mapGetters({
        order: 'account/order'
      }),
      status() {
        if (this.order.status === this.STEP.ACTIVE) {
          return StatusActive
        } else if (this.order.status === this.STEP.CANCELLED) {
          return StatusCancelled
        } else if (this.order.status === this.STEP.REJECTED) {
          return StatusRejected
        } else if (this.order.status === this.STEP.ACCEPTED) {
          return StatusAccepted
        } else if (this.order.status === this.STEP.WINNER) {
          return StatusWinner
        } else {
          return StatusLoser
        }
      }
    }
  }
</script>

<style lang="scss">
.account-booking {
  font-size: 14px;
  line-height: 18px;
  letter-spacing: 0.2px;
  color: $gray-slate;
  text-align: center;
  margin-top: 10px;
  &__button {
    display: flex;
    justify-content: center;
    padding-top: 20px;
  }
  .common {
    color: $color-text-base;
  }
  .success {
    color: $green-craiola;
  }
  .caution {
    color: $color-error;
  }
}
</style>